package org.processmining.humbertogarciacaballero.models.gui.render;

import java.awt.Shape;

import org.processmining.humbertogarciacaballero.models.model.PNConstants;

import prefuse.render.ShapeRenderer;
import prefuse.visual.VisualItem;

public class LayerSimplifierControlRenderer extends ShapeRenderer {

    protected Shape getRawShape(VisualItem item) {
        double x = item.getX();
        double y = item.getY();
        double width = item.getDouble(PNConstants.SIMPLIFIER_DECORATOR_WIDTH);
        double height = item.getDouble(PNConstants.SIMPLIFIER_DECORATOR_HEIGHT);

        return rectangle(x, y, width, height);
    }
}
